ChatofyDevelopers
REST APIMCP Server (AI)New
API KeysWebhooks
Chatofy API
/
Getting Started
API Resources
API v1.0 Live
Developer APIContactsLink Product or Update Interest Level

Link Product or Update Interest Level

Links a product inquiry to a contact or updates existing interest level. Automatically derives contact lifecycle (transitions to customer when any active product has interest_level=customer).

POST/api/v1/contacts/{id}/products

Body Parameters

1 parameter
{id}uuidrequired

Contact UUID

Request Body Schema

application/json
product_iduuidrequired

Product UUID to link

Example:p1111111-2222-3333-4444-555555555555
interest_levelstringoptional

Interest level: interested, trial, customer, churned (default: interested)

Example:customer

Response Payload

200 OKapplication/json
statusstring

"1" = Success, "0" = Failure.

messageobject

The response data payload.

Code Snippets & Examples

1curl -X POST "https://app.chatofy.in/api/v1/contacts/c1111111-2222-3333-4444-555555555555/products" \
2 -H "Authorization: Bearer YOUR_API_KEY" \
3 -H "Content-Type: application/json" \
4 -d '{"product_id":"p1111111-2222-3333-4444-555555555555","interest_level":"customer"}'

Was this endpoint guide helpful?

Previous Endpoint
List Contact Product Inquiries
Next Endpoint
Unlink Product Inquiry
© 2026 Chatofy Cloud Platform. All rights reserved.
1curl -X POST "https://app.chatofy.in/api/v1/contacts/c1111111-2222-3333-4444-555555555555/products" \
2 -H "Authorization: Bearer YOUR_API_KEY" \
3 -H "Content-Type: application/json" \
4 -d '{"product_id":"p1111111-2222-3333-4444-555555555555","interest_level":"customer"}'
200 OKapplication/json
1{
2 "success": true,
3 "data": {
4 "link": {
5 "id": "cp-00000000-0000-0000-0000-000000000001",
6 "contact_id": "c1111111-2222-3333-4444-555555555555",
7 "product_id": "p1111111-2222-3333-4444-555555555555",
8 "interest_level": "customer",
9 "product_lifecycle_changed_at": "2026-10-30T10:00:00+05:30",
10 "created_at": "2026-10-30T10:00:00+05:30",
11 "updated_at": "2026-10-30T10:00:00+05:30",
12 "products": {
13 "id": "p1111111-2222-3333-4444-555555555555",
14 "name": "Sales Lead Manager",
15 "code": "SLM",
16 "status": "active"
17 }
18 },
19 "contact_lifecycle": "customer"
20 },
21 "message": "Product inquiry linked to contact successfully"
22}